Skip to main content
GET
/
v1
/
companies
Get companies
curl --request GET \
  --url https://openapi.enginy.ai/v1/companies \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "name": "<string>",
      "domain": "<string>",
      "website": "<string>",
      "companyLinkedInUrl": "<string>",
      "industry": "<string>",
      "rangeOfEmployees": "<string>",
      "numberOfEmployees": 123,
      "yearfounded": "<string>",
      "description": "<string>",
      "country": "<string>",
      "city": "<string>",
      "streetAddress": "<string>",
      "phoneNumber": "<string>",
      "companyEmail": "<string>",
      "revenueRange": "<string>",
      "hiringOnLinkedIn": true,
      "openJobPositions": 123,
      "companyCRMId": "<string>",
      "isCompanyInCRM": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "smartFieldExplanations": {}
    }
  ],
  "meta": {
    "page": 123,
    "pageSize": 123,
    "total": 123
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
string
default:1

Page number for pagination. Minimum value is 1. Defaults to 1.

pageSize
string
default:25

Number of items per page. Minimum is 1, maximum is 100. Defaults to 25.

Search term to filter companies by name or domain (case-insensitive).

listId
string

Filter companies by list ID.

updatedAtFrom
string

Filter companies updated on or after this date (ISO 8601 format).

updatedAtTo
string

Filter companies updated on or before this date (ISO 8601 format).

actionsId
string

Filter companies by a specific actions run ID. Returns only companies that were created or processed as part of this actions run (e.g., from "Search companies" action).

fields

Specific company fields to include in the response (comma-separated or array). Use GET /v1/companies/fields to discover valid company field names.

Response

200 - application/json

Successful response with paginated companies

data
object[]
required
meta
object
required